PHP Manual
Prev |  | Next

# OCI-Lob->erase

(no version information, might be only in CVS)

OCI-Lob->erase -- Erases a specified portion of the internal LOB data

## Description

class OCI-Lob {
int erase ( [int offset [, int length]] )
}

Erases a specified portion of the internal LOB data starting at a specified offset. Parameters length and offset are optional. OCI-Lob->erase() erases all LOB data by default.

For BLOBs, erasing means that the existing LOB value is overwritten with zero-bytes. For CLOBs, the existing LOB value is overwritten with spaces.

OCI-Lob->erase() returns the actual number of characters/bytes erased or `FALSE` in case of error.

## Parameters

offset

length

## See Also

OCI-Lob->truncate

Prev | Home | Next
OCI-Lob->eof | Up | OCI-Lob->export